@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 100;
	src: url('../fonts/full/Montserrat-100-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 200;
	src: url('../fonts/full/Montserrat-200-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 300;
	src: url('../fonts/full/Montserrat-300-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 400;
	src: url('../fonts/full/Montserrat-400-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 500;
	src: url('../fonts/full/Montserrat-500-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 600;
	src: url('../fonts/full/Montserrat-600-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 700;
	src: url('../fonts/full/Montserrat-700-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 800;
	src: url('../fonts/full/Montserrat-800-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: italic;
	font-weight: 900;
	src: url('../fonts/full/Montserrat-900-italic.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 100;
	src: url('../fonts/full/Montserrat-100.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 200;
	src: url('../fonts/full/Montserrat-200.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 300;
	src: url('../fonts/full/Montserrat-300.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 400;
	src: url('../fonts/full/Montserrat-400.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 500;
	src: url('../fonts/full/Montserrat-500.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 600;
	src: url('../fonts/full/Montserrat-600.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 700;
	src: url('../fonts/full/Montserrat-700.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 800;
	src: url('../fonts/full/Montserrat-800.woff') format('woff');
}
@font-face {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 900;
	src: url('../fonts/full/Montserrat-900.woff') format('woff');
}

/** ========================== **
 ** BASE                       **
 ** ========================== **/
[data-theme="dark"] {
    --border-radius: 0;
    --h1-color: #fff;
    --h2-color: #fff;
    --h3-color: #fff;
    --h4-color: #fff;
    --background-color: #952f00;
    --font-size: 1rem;
    --font-family: 'Montserrat', sans-serif;
    --primary: #ffcfa4;
    --primary-hover: #ffe7c8;
    --primary-focus: #cc7000;
    --primary-inverse: #000;
    --secondary: hsl(0, 23%, 41.8%);
    --secondary-hover: hsl(0, 21.6%, 48%);
    --secondary-focus: rgba(140, 115, 115, 0.25);
    --color: #fff;
    --muted-color: #fff;
    --form-element-invalid-active-border-color: #ffc0c0;
    --switch-background-color: var(--primary);
    --switch-color: var(--primary-focus);
}

@media (min-width: 768px) {
    [data-theme="dark"] {
      --font-size: 1.125rem;
    }
}

html {
    scroll-behavior: smooth;
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    background: #952F00;
    background: -webkit-linear-gradient(69deg, rgba(149, 47, 0, 1) 52%, rgba(235, 126, 75, 1) 100%);
    background: -moz-linear-gradient(69deg, rgba(149, 47, 0, 1) 52%, rgba(235, 126, 75, 1) 100%);
    background: linear-gradient(69deg, rgba(149, 47, 0, 1) 52%, rgba(235, 126, 75, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#952F00", endColorstr="#EB7E4B", GradientType=0);
}

body > main {
    flex: 1 0 auto;
    position: relative;
}

b, strong {
    font-weight: 600;
}

h1, h2, h3, h4, h5, h6 {
    --font-weight: 400;
}

input, optgroup, select, textarea {
    font-size: 1.125rem;
}

fieldset legend {
    display: block;
    width: 100%;
    font-weight: 400;
}

fieldset legend.heading--section {
    font-size: 125%;
    font-weight: 400;
}

fieldset legend.heading--section small {
    display: block;
    font-size: 75%;
    font-weight: normal;
    font-style: italic;
    opacity: 0.9;
}

label {
    font-weight: 400;
}

input, select, textarea {
    --background-color: transparent;
    --form-element-active-background-color: transparent;
    --border-color: var(--primary);
}

[type="checkbox"] + label,
[type="radio"] + label {
    font-weight: normal;
}

[type="checkbox"][disabled] ~ label,
[type="radio"][disabled] ~ label {
    opacity: .5;
}

/** ========================== **
 ** GRID                       **
 ** ========================== **/
@media (min-width: 1200px) {
    .container {
        max-width: 1020px;
    }
}

@media (min-width: 992px) {
    .grid.odd-even {
        grid-template-columns: 70% 30%;
    }
}

/** ========================== **
 ** FORMS                      **
 ** ========================== **/

.checkboxes,
.radios {
    display: flex;
    gap: 30px;

    > label {
        cursor: pointer;
        font-weight: normal;
    }
}

.form-actions {
    margin-top: calc(var(--spacing) * 2);
}

.form-actions > button + div {
    position: absolute;
}

/** ========================== **
 ** ALERT                      **
 ** ========================== **/
[class*="alert-"] {
    --color: var(--contrast-inverse);
    padding: 20px;
    color: white;
    margin-bottom: var(--spacing);

    p:last-child {
        margin-bottom: 0;
    }
}

.alert-error {
    background-color: var(--del-color);
    --color: var(--contrast-inverse);
}

.alert-success {
    background-color: var(--ins-color);
}

/** ========================== **
 ** BUTTON GROUP               **
 ** ========================== **/
.button-group button {
    display: inline-block;
    width: auto;
    min-width: 8rem;
}

.button-group button ~ button {
    margin-left: 0.5rem;
}

/** ========================== **
 ** SITE HEADING               **
 ** ========================== **/
.site-heading {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

@media (min-width: 768px) {
    .site-heading {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        margin-bottom: var(--spacing);
        text-align: left;
    }
}

.site-heading-p1 {
    display: block;
    font-weight: 600;
    color: var(--h3-color);
    font-size: 1.5rem;
}

@media (min-width: 1000px) {
    .site-heading-p1 {
      font-size: 2.5rem;
    }
}

.site-heading hr {
    display: inline-block;
    width: 10.25rem;
    height: 0.75rem;
    border: none;
    margin: 0 0 20px;
}

.site-heading-p2 {
    display: block;
    margin-top: 10px;
    font-size: 2.125rem;
    font-weight: 600;
    line-height: 1;
    color: var(--primary);
}

@media (min-width: 1000px) {
    .site-heading-p2 {
      font-size: 3.125rem;
    }
}

.site-heading-p3 {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1.25rem;
    font-weight: normal;
    color: var(--h3-color);
}

@media (min-width: 1000px) {
    .site-heading-p3 {
      display: block;
      font-size: 2rem;
    }
}

.site-heading-p4 {
    display: flex;
    align-items: center;
    font-size: 1rem;
    font-weight: normal;
    color: #fff;
}

.site-heading-p4 img {
    display: inline-block;
    width: auto;
    height: 50px;
}

/** ========================== **
 ** FORM STEPS                 **
 ** ========================== **/
.form-steps--heading {
    margin-top: calc(var(--spacing) * 2);
    margin-bottom: 0;
}

.form-steps {
    counter-reset: form_step;
    display: inline-flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;
    margin: var(--spacing) 0 calc(var(--spacing) * 2);
    padding: 0;
    background: '';
    box-shadow: none;
    border-radius: .28571429rem;
    border: 1px solid rgba(34,36,38,.15);
}

@media (min-width: 768px) {
    .form-steps {
        flex-direction: row;
    }
}

.form-steps hgroup {
    margin-bottom: 0;
}

.form-steps h6 {
    font-size: 0.75rem;
}

.form-steps .step {
    vertical-align: middle;
    display: flex;
    width: 100%;
    padding: 1rem 1.5rem;
    border: 1px solid var(--primary);
    border-radius: 0;
    margin: 0 0;
    flex: 1 1 auto;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: nowrap;
    position: relative;
    background: transparent;
    color: #fff;
    box-shadow: none;
    transition: background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;
}

.form-steps .step h4 {
    --font-size: 20px;
    font-weight: 500;
}

.form-steps .step h6 {
    font-size: 14px;
    line-height: 1.2;
}

@media (min-width: 768px) {
    .form-steps .step {
        width: 33.33332%;
        flex: 1 1 33.33332%;
    }
}

.form-steps .step::before {
    counter-increment: form_step;
    content: counters(form_step, ".");
    display: block;
    align-self: middle;
    margin-right: var(--spacing);
    position: static;
    font-size: 2.5em;
    font-family: inherit;
    font-weight: 700;
    text-align: center;
}

@media (min-width: 768px) {
    .form-steps .step::after {
        width: 1.14285714em;
        height: 1.14285714em;
        border: medium none;
        border-style: solid;
        border-color: rgba(34,36,38,.15);
        border-width: 0 1px 0 0;
        position: absolute;
        z-index: 2;
        content: '';
        top: 50%;
        right: 0;
        background-color: var(--primary);
        transition: background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;
        transform: translateY(-50%) translateX(50%) rotate(-45deg);
        clip-path: polygon(100% 0, 100% 100%, 0% 100%, 0px 100%);
    }

    .form-steps .step.active::after {
      clip-path: none;
    }
}

.form-steps .step:last-child::after {
    content: none;
}

.form-steps .step:last-child {
    margin-right:0
}

.form-steps .step.active {
    cursor: auto;
    background: var(--primary);
    color: #000;
}

.form-steps .step.active::after {
    background-color: var(--primary);
}

.form-steps .step.active h4 {
    color: #000;
}

.form-steps .step.active h6 {
    color: #2d2d2d;
}

/** ========================== **
 ** FORM WIZARD                **
 ** ========================== **/
.form-wizard .step {
    display: none;
}

.form-wizard .step.active {
    display: block;
}

/** ========================== **
 ** UTITLIES                   **
 ** ========================== **/

.hidden {
    width: 0 !important;
    height: 0 !important;
    display: none !important;
    visibility: hidden !important;
}

.mb-0 {
    margin-bottom: 0 !important;
}

.asterisk {
    color: var(--form-element-invalid-active-border-color);
}

/** ========================== **
 ** LAYOUT                     **
 ** ========================== **/
#header {
    --block-spacing-vertical: 2rem;
    background-color: #fff;
}

#header nav hgroup {
    margin-bottom: 0;
}

#logo {
    max-width: 100%;
    width: 150px;
    height: auto;
}

#slogan {
    font-weight: bold;
    font-size: 18px;
}

@media (min-width: 1200px) {
    #slogan {
        font-size: 22px;
    }
}

#footer {
    --block-spacing-vertical: 1.5rem;
    --primary: var(--secondary);
    --primary-hover: var(--secondary-hover);
    background-color: #fff;
    color: #0f1144;
}

#slots {
    opacity: 1;
}

#slots.loading {
    opacity: 0.5;
    user-select: none;
    pointer-events: none;
}
